Skip to content

Send an email notification directly without templates

POST
/email

Request body for POST /email (send email without a template).

object
type
required

The notification type to send.

string
to
required

The email address of the recipient.

string
subject
required

The subject of the email.

string
html
required

The HTML body of the email.

string
fromName

The display name of the sender.

string
fromAddress

The email address of the sender.

string
previewText

The preview text of the email.

string
replyToAddresses

The reply-to addresses of the email.

Array<string>
ccAddresses

The CC addresses of the email.

Array<string>
bccAddresses

The BCC addresses of the email.

Array<string>
attachments

The attachments of the email.

Array<object>
object
filename
required
string
url
required
string
schedule

The ISO 8601 datetime to schedule the email.

string

Successful response

Any of:

Success response for POST /email.

object
trackingId
required
string
messages
required
Array<string>

Bad Request - validation errors, invalid input

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Unauthorized

Payment Required - usage limits exceeded

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Internal Server Error

Bad Gateway - provider error

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string